<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_6e38cb9e043a07cd69a1711a670" . "4c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_b2f5a10045116439" . "6178c16d2a5c6899" => base64_decode("cHJldl" . "90aXRs" . "ZQ=="), "_a5e22fe41a6e4288b56df78f2f2" . "78f8f" => base64_decode("cHJldl9wYXJlb" . "nRfaWQ="), "ti" . "tl" . "e" => base64_decode("dGl0bGU" . "="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b2f5a10" . "04511643" . "96178c16" . "d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["tit" . "le"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a5e22fe41a6e4288b56df78f2f278" . "f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}